Download it now!
Bug 62030 - EDITING: Corruption of image when using the Pipette tool in the Wrap Contour Editor
Summary: EDITING: Corruption of image when using the Pipette tool in the Wrap Contour ...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.0.1.2 release
Hardware: All All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
Depends on:
Blocks: Images
  Show dependency treegraph
 
Reported: 2013-03-08 17:01 UTC by John Smith
Modified: 2019-01-01 13:28 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
ODT document illustrating the problem outlined above. (94.57 KB, application/vnd.oasis.opendocument.text)
2013-03-08 17:01 UTC, John Smith
Details

Note You need to log in before you can comment on or make changes to this bug.
Description John Smith 2013-03-08 17:01:25 UTC
Created attachment 76170 [details]
ODT document illustrating the problem outlined above.

Problem description: 
Using the Pipette tool in the Edit Contour window when setting Wrap options causes a loss of pixels from the image.

Steps to reproduce:
1. ....Insert an image into a new blank Writer document.
2. ....Right-click the image, select Page Wrap from the context menu.
3. ....Right click the image again and select Edit contour from the context menu.
4. ....Select the Pipette tool, leave the Color Tolerance setting at default (not relevant to bug)
5. ....Click on the image.

Current behavior:
All pixels in the color range that was clicked-on are removed from the image, and the contour is set as the image frame.

Expected behavior:
No removal of pixels; a contour line set around the image at the color level clicked-on.
              
Operating System: Windows XP
Version: 4.0.1.2 release
Comment 1 Jorendc 2013-03-20 20:50:02 UTC
Hi,

Thanks for reporting!

I can reproduce this behavior using Linux Mint 14 x64 with LibreOffice Version 4.0.2.1 (Build ID: 7e5467ff8f30d821f4fbf69cb2769163eb64c2c) and LibreOffice Version 4.1.0.0.alpha0+ (Build ID: b4966ea69ff0ad6944bd16d8a09ecb27a1704c1).

Therefore I mark this as NEW
Normal: does prevent you to make high quality work
Medium: default priority in the Normal-range.

Kind regards,
Joren
Comment 2 QA Administrators 2015-03-04 02:22:07 UTC Comment hidden (obsolete)
Comment 3 Buovjaga 2015-03-24 13:17:28 UTC
Reproduced that the contour changes to square, but not the pixels disappearing.

Win 7 Pro 64-bit, LibO Version: 4.4.1.2
Build ID: 45e2de17089c24a1fa810c8f975a7171ba4cd432
Locale: fi_FI
Comment 4 tommy27 2016-04-16 07:27:12 UTC Comment hidden (obsolete)
Comment 5 QA Administrators 2017-05-22 13:23:51 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice 
(5.2.7 or 5.3.3  https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and 
your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave 
a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to "inherited from OOo";
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug-20170522